package farmacie_senza_interfacce;

import java.util.*;

public class MedicinaleAlternativo extends Medicinale{
	
	public static enum Tipologia {OMEOPATICO, FITOTERAPICO}
	
	private Tipologia tipo;
	
	public MedicinaleAlternativo(){
		this("",new HashSet<String>(),null,"",null);
	}
	
	public MedicinaleAlternativo(String p, Set<String> e, Formato f, String c, Tipologia t){
		super(p,e,f,c);
		tipo = t;
	}
	
	public Tipologia getTipo(){
		return tipo;
	}
	
	public boolean isOmeopatico(){
		return tipo==Tipologia.OMEOPATICO;
	}

}
